<?php
if ( ! defined( "WHMCS" ) ) {
    die( "This file cannot be accessed directly" );
}
use WHMCS\Database\Capsule;

require_once __DIR__ . '/WhmpressFunctions.php';

$whmpress_functions = new WhmpressFunctions();

function whmpress_config(): array {

    $customer_groups["whmp_helper_license"] = [
        "FriendlyName" => "WHMpress License",
        "Type"         => "text",
        "Size"         => "60",
        "Default"      => "",
    ];

    $customer_groups["whmp_clientarea_url"] = [
        "FriendlyName" => "Wordpress Client Area URL",
        "Type"         => "text",
        "Size"         => "60",
        "Description"  => "Leave blank for disable redirection",
        "Default"      => "",
    ];

    $customer_groups["whmp_wordpress_url"] = [
        "FriendlyName" => "Registered Wordpress URL",
        "Type"         => "text",
        "Size"         => "60",
        "Description"  => "Wordpress URL on which plugin is activated",
        "Default"      => "",
    ];


    return [
        "name"        => "WHMpress Helper",
        "description" => 'WHMPress Helper is a Custom Extend API to offer enhanced functionality for WHMPress products. Learn more at <a href="https://whmpress.com" target="_blank">https://whmpress.com</a>',
        "version"     => "4.0",
        "author"      => "creativeON",
        "fields"      => $customer_groups
    ];

}

function whmpress_activate() {
    // Check if the table exists
    if (!Capsule::schema()->hasTable('whmp_mod_localkeys')) {
        Capsule::schema()->create('whmp_mod_localkeys', function ($table) {
            $table->increments('id');
            $table->string('module');
            $table->text('localkey');
        });
    }
}

function whmpress_output( $vars ): void {

    /*global $whmpress_functions;

    $whmpress_functions->ppa( 'This is' );

    //$_REQUEST["name"] = 'tbladdons';
    $_REQUEST["clientid"] = '5';
    $_REQUEST["setting"]  = 'TaxType';
    $_REQUEST["userid"]   = '5';
    $_REQUEST["pid"]      = '1';
    $_REQUEST["aff_id"]   = '1';
    //$_REQUEST["id"] = '1';
    //$_REQUEST["email"] = 'abdul_waheed1987@yahoo.com';
    $_REQUEST["service_id"] = '4';
    //$_REQUEST["catid"] = '4';
    //$_REQUEST["product_id"] = '1';
    $_REQUEST["limit"]     = 1;
    $_REQUEST["language"]     = 'English';
    $_REQUEST["extension"] = '.com';
    $_REQUEST["tld"]       = '.com';
    $_REQUEST["years"]     = 8;
    $_REQUEST["where"]     = [
        //'module' => 'cpanel',
        //'type' => 'others',
        //'weight' => 2
    ];

    $whmpress_functions->ppa( $whmpress_functions->library_function_whcom_get_domain_addons() );*/


    //$_REQUEST['action'] = 'whcom_get_all_products';
    //$_REQUEST['hash'] = md5( 'gfgsfggfjhgjkdfjkhgy3i465creativeON' );

    //include_once "library.php";


    echo "This is client area output.";
}



